<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- ui:param name = entry : a SOAPHeaderPart object -->
    <s:div rendered="#{not empty entry.exceptions}">
        <h4>#{messages['net.ihe.gazelle.atna.Exceptions']}</h4>
        <rich:list value="#{entry.exceptions}" var="ex">
            <h:outputText value="#{ex.xpath}"/>
            <h:outputText value=" #{messages['net.ihe.gazelle.atna.Removed']}" rendered="#{ex.exceptionType == 'REMOVE'}"/>
            <h:outputText value=" #{messages['net.ihe.gazelle.atna.SetTo']} #{ex.newValue}" rendered="#{ex.exceptionType == 'REPLACE'}"/>
        </rich:list>
    </s:div>
</ui:composition>